package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag112;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT112Creator;

public class Tag30Creator extends AbsTagCreate {
    private MT112Creator mt112Creator;

    public Tag30Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt112Creator= (MT112Creator) absMTCreator;
    }

    public void creator()
    {
        String tag30Value = mt112Creator.getDateofIssue();
        mt112Creator.set("30", tag30Value);
    }
}
